import 'package:prompter_pb/src/terminal.dart';

import 'option.dart';

class Prompter {
  final Terminal _terminal = const Terminal();

  bool askYesNo(String prompt) {
    final input = _ask('$prompt (y/n)', []);
    return input.contains('y');
  }

  askMultipleChoice(String prompt, List<Option> options) {
    final input = _ask(prompt, options);
    try {
      return options[int.parse(input)].value;
    } catch (err) {}
    return askMultipleChoice(prompt, options);
  }

  String _ask(String prompt, List<Option> options) {
    _terminal.clearScreen();
    _terminal.printPrompt(prompt);
    _terminal.printOption(options);

    return _terminal.collectInput();
  }
}
