import 'dart:io';
import 'option.dart';

class Terminal {
  //Constructor
  const Terminal();
  
  void printPrompt(String prompt) {
    stdout.writeln(prompt);
  }

  void printOption(List<Option> options) {
    //asMap creates Map
    options.asMap().forEach((index,option){
      stdout.writeln('[$index]-${option.label}');
    });

    stdout.writeln('Enter a choice');
    stdout.write('>');
  }

  String collectInput() {
    return stdin.readLineSync();
  }

  void clearScreen() {
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f');
    } else {
      stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }
}
